> For the complete documentation index, see [llms.txt](https://docs.elimity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elimity.com/reference-manual/v3.41.0/installation/postgresql-database.md).

# PostgreSQL database

The Elimity Insights server manages all of its persistent data in a PostgreSQL database. For SaaS customers we perform the setup and maintenance of PostgreSQL servers behind the scenes. These installation instructions are mainly useful for on-prem deployments. We strongly recommend using your cloud provider's DBaaS offering to set up a PostgreSQL database. More specifically, Elimity Insights servers are compatible with PostgreSQL 15.x. The `btree_gist` and `pgcrypto` extensions must also be available. If using your cloud provider's DBaaS offering is not an option, then installing PostgreSQL manually on e.g. Windows Server is also possible. The remainder of this page provides some additional suggestions for customers installing PostgreSQL manually on Windows Server.

## Installing PostgreSQL on Windows Server

We recommend using EDB's PostgreSQL installer for Windows, which you can find on [their official downloads page](https://www.enterprisedb.com/downloads/postgres-postgresql-downloads). As mentioned previously, make sure you download the installer for PostgreSQL 15.x. After completing the setup wizard a PostgreSQL server should now be running on the machine. For an optimal deployment experience we suggest editing the following configuration options (which typically reside in `C:\Program Files\PostgreSQL\15\data\postgresql.conf`):

<table data-full-width="true"><thead><tr><th>Configuration option</th><th>Suggested value</th><th>Reason</th></tr></thead><tbody><tr><td><code>random_page_cost</code></td><td><code>1.1</code> if you're using a solid-state drive</td><td>The default value of <code>4</code> is only appropriate for machines with a hard disk drive.</td></tr><tr><td><code>unix_socket_directories</code></td><td><code>C:\PostgreSQL Sockets</code> or some other newly created directory</td><td>Unix sockets are the simplest solution for Elimity Insights server containers to connect with a system-installed PostgreSQL server. Make sure the PostgreSQL service account has write access to the configured directory. </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elimity.com/reference-manual/v3.41.0/installation/postgresql-database.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
